target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

%spirv.Pipe._1 = type opaque
%spirv.ReserveId = type opaque
%spirv.Pipe._0 = type opaque

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId*) #0

; Function Attrs: nounwind
declare spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
define spir_kernel void @test_pipe_max_active_reservations_write(i32 addrspace(1)* %src, %spirv.Pipe._1 addrspace(1)* %out_pipe, i8 addrspace(1)* %reserve_id, i32 addrspace(1)* %reserve_id_t_size_aligned, i32 addrspace(1)* %status) #0 {
  br label %1

1:                                                ; preds = %18, %0
  %reserve_idx.0 = phi i32 [ 0, %0 ], [ %inc, %18 ]
  %cmp = icmp slt i32 %reserve_idx.0, 1
  br i1 %cmp, label %2, label %19

2:                                                ; preds = %1
  %3 = getelementptr inbounds i32, i32 addrspace(1)* %reserve_id_t_size_aligned, i64 0
  %4 = load i32, i32 addrspace(1)* %3, align 4
  %mul = mul nsw i32 %reserve_idx.0, %4
  %idx.ext = sext i32 %mul to i64
  %5 = getelementptr inbounds i8, i8 addrspace(1)* %reserve_id, i64 %idx.ext
  %6 = bitcast i8 addrspace(1)* %5 to %spirv.ReserveId* addrspace(1)*
  %7 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveWritePipePackets_Pipe_wo_i32_i32_i32(%spirv.Pipe._1 addrspace(1)* %out_pipe, i32 1, i32 4, i32 4) #0
  store %spirv.ReserveId* %7, %spirv.ReserveId* addrspace(1)* %6, align 8
  %8 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %6, i64 0
  %9 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %8, align 8
  %call = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %9) #0
  %i1trunc = trunc i8 %call to i1
  br i1 %i1trunc, label %10, label %16

10:                                               ; preds = %2
  %11 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %6, i64 0
  %12 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %11, align 8
  %idxprom = sext i32 %reserve_idx.0 to i64
  %13 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom
  %14 = addrspacecast i32 addrspace(1)* %13 to i8 addrspace(4)*
  %15 = call spir_func i32 @__builtin_spirv_OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %out_pipe, %spirv.ReserveId* %12, i32 0, i8 addrspace(4)* %14, i32 4, i32 4) #0
  br label %17

16:                                               ; preds = %2
  store i32 -1, i32 addrspace(1)* %status, align 4
  br label %30

17:                                               ; preds = %10
  br label %18

18:                                               ; preds = %17
  %inc = add nsw i32 %reserve_idx.0, 1
  br label %1

19:                                               ; preds = %1
  br label %20

20:                                               ; preds = %28, %19
  %commit_idx.0 = phi i32 [ 0, %19 ], [ %inc13, %28 ]
  %cmp5 = icmp slt i32 %commit_idx.0, 1
  br i1 %cmp5, label %21, label %29

21:                                               ; preds = %20
  %22 = getelementptr inbounds i32, i32 addrspace(1)* %reserve_id_t_size_aligned, i64 0
  %23 = load i32, i32 addrspace(1)* %22, align 4
  %mul8 = mul nsw i32 %commit_idx.0, %23
  %idx.ext9 = sext i32 %mul8 to i64
  %24 = getelementptr inbounds i8, i8 addrspace(1)* %reserve_id, i64 %idx.ext9
  %25 = bitcast i8 addrspace(1)* %24 to %spirv.ReserveId* addrspace(1)*
  %26 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %25, i64 0
  %27 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %26, align 8
  call spir_func void @__builtin_spirv_OpCommitWritePipe_Pipe_wo_ReserveId_i32_i32(%spirv.Pipe._1 addrspace(1)* %out_pipe, %spirv.ReserveId* %27, i32 4, i32 4) #0
  br label %28

28:                                               ; preds = %21
  %inc13 = add nsw i32 %commit_idx.0, 1
  br label %20

29:                                               ; preds = %20
  br label %30

30:                                               ; preds = %29, %16
  %cleanup.dest.slot.0 = phi i32 [ 1, %16 ], [ 0, %29 ]
  switch i32 %cleanup.dest.slot.0, label %31 [
  ]

31:                                               ; preds = %30
  ret void

32:                                               ; No predecessors!
  unreachable
}

; Function Attrs: nounwind
define spir_kernel void @test_pipe_max_active_reservations_read(%spirv.Pipe._0 addrspace(1)* %in_pipe, i32 addrspace(1)* %dst, i8 addrspace(1)* %reserve_id, i32 addrspace(1)* %reserve_id_t_size_aligned, i32 addrspace(1)* %status) #0 {
  br label %1

1:                                                ; preds = %18, %0
  %reserve_idx.0 = phi i32 [ 0, %0 ], [ %inc, %18 ]
  %cmp = icmp slt i32 %reserve_idx.0, 1
  br i1 %cmp, label %2, label %19

2:                                                ; preds = %1
  %3 = getelementptr inbounds i32, i32 addrspace(1)* %reserve_id_t_size_aligned, i64 0
  %4 = load i32, i32 addrspace(1)* %3, align 4
  %mul = mul nsw i32 %reserve_idx.0, %4
  %idx.ext = sext i32 %mul to i64
  %5 = getelementptr inbounds i8, i8 addrspace(1)* %reserve_id, i64 %idx.ext
  %6 = bitcast i8 addrspace(1)* %5 to %spirv.ReserveId* addrspace(1)*
  %7 = call spir_func %spirv.ReserveId* @__builtin_spirv_OpReserveReadPipePackets_Pipe_ro_i32_i32_i32(%spirv.Pipe._0 addrspace(1)* %in_pipe, i32 1, i32 4, i32 4) #0
  store %spirv.ReserveId* %7, %spirv.ReserveId* addrspace(1)* %6, align 8
  %8 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %6, i64 0
  %9 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %8, align 8
  %call = call spir_func i8 @__builtin_spirv_OpIsValidReserveId_ReserveId(%spirv.ReserveId* %9) #0
  %i1trunc = trunc i8 %call to i1
  br i1 %i1trunc, label %10, label %16

10:                                               ; preds = %2
  %11 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %6, i64 0
  %12 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %11, align 8
  %idxprom = sext i32 %reserve_idx.0 to i64
  %13 = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom
  %14 = addrspacecast i32 addrspace(1)* %13 to i8 addrspace(4)*
  %15 = call spir_func i32 @__builtin_spirv_OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %in_pipe, %spirv.ReserveId* %12, i32 0, i8 addrspace(4)* %14, i32 4, i32 4) #0
  br label %17

16:                                               ; preds = %2
  store i32 -1, i32 addrspace(1)* %status, align 4
  br label %30

17:                                               ; preds = %10
  br label %18

18:                                               ; preds = %17
  %inc = add nsw i32 %reserve_idx.0, 1
  br label %1

19:                                               ; preds = %1
  br label %20

20:                                               ; preds = %28, %19
  %commit_idx.0 = phi i32 [ 0, %19 ], [ %inc13, %28 ]
  %cmp5 = icmp slt i32 %commit_idx.0, 1
  br i1 %cmp5, label %21, label %29

21:                                               ; preds = %20
  %22 = getelementptr inbounds i32, i32 addrspace(1)* %reserve_id_t_size_aligned, i64 0
  %23 = load i32, i32 addrspace(1)* %22, align 4
  %mul8 = mul nsw i32 %commit_idx.0, %23
  %idx.ext9 = sext i32 %mul8 to i64
  %24 = getelementptr inbounds i8, i8 addrspace(1)* %reserve_id, i64 %idx.ext9
  %25 = bitcast i8 addrspace(1)* %24 to %spirv.ReserveId* addrspace(1)*
  %26 = getelementptr inbounds %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %25, i64 0
  %27 = load %spirv.ReserveId*, %spirv.ReserveId* addrspace(1)* %26, align 8
  call spir_func void @__builtin_spirv_OpCommitReadPipe_Pipe_ro_ReserveId_i32_i32(%spirv.Pipe._0 addrspace(1)* %in_pipe, %spirv.ReserveId* %27, i32 4, i32 4) #0
  br label %28

28:                                               ; preds = %21
  %inc13 = add nsw i32 %commit_idx.0, 1
  br label %20

29:                                               ; preds = %20
  br label %30

30:                                               ; preds = %29, %16
  %cleanup.dest.slot.0 = phi i32 [ 1, %16 ], [ 0, %29 ]
  switch i32 %cleanup.dest.slot.0, label %31 [
  ]

31:                                               ; preds = %30
  ret void

32:                                               ; No predecessors!
  unreachable
}

; Function Attrs: nounwind
define spir_kernel void @pipe_get_reserve_id_t_size(i32 addrspace(1)* %reserve_id_t_size) #0 {
  store i32 8, i32 addrspace(1)* %reserve_id_t_size, align 4
  ret void
}

attributes #0 = { nounwind }

!opencl.kernels = !{!0, !7, !13}
!IGCMetadata = !{!20}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!257}
!opencl.ocl.version = !{!257}
!opencl.used.extensions = !{!258}
!opencl.used.optional.core.features = !{!258}
!opencl.compiler.options = !{!259}

!0 = !{void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i8 addrspace(1)*, i32 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_max_active_reservations_write, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1, i32 1, i32 1, i32 1}
!2 = !{!"kernel_arg_access_qual", !"none", !"write_only", !"none", !"none", !"none"}
!3 = !{!"kernel_arg_type", !"int*", !"pipe", !"char*", !"int*", !"int*"}
!4 = !{!"kernel_arg_type_qual", !"", !"pipe", !"", !"", !""}
!5 = !{!"kernel_arg_base_type", !"int*", !"pipe", !"char*", !"int*", !"int*"}
!6 = !{!"kernel_arg_name", !"src", !"out_pipe", !"reserve_id", !"reserve_id_t_size_aligned", !"status"}
!7 = !{void (%spirv.Pipe._0 addrspace(1)*, i32 addrspace(1)*, i8 addrspace(1)*, i32 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_max_active_reservations_read, !1, !8, !9, !10, !11, !12}
!8 = !{!"kernel_arg_access_qual", !"read_only", !"none", !"none", !"none", !"none"}
!9 = !{!"kernel_arg_type", !"pipe", !"int*", !"char*", !"int*", !"int*"}
!10 = !{!"kernel_arg_type_qual", !"pipe", !"", !"", !"", !""}
!11 = !{!"kernel_arg_base_type", !"pipe", !"int*", !"char*", !"int*", !"int*"}
!12 = !{!"kernel_arg_name", !"in_pipe", !"dst", !"reserve_id", !"reserve_id_t_size_aligned", !"status"}
!13 = !{void (i32 addrspace(1)*)* @pipe_get_reserve_id_t_size, !14, !15, !16, !17, !18, !19}
!14 = !{!"kernel_arg_addr_space", i32 1}
!15 = !{!"kernel_arg_access_qual", !"none"}
!16 = !{!"kernel_arg_type", !"int*"}
!17 = !{!"kernel_arg_type_qual", !""}
!18 = !{!"kernel_arg_base_type", !"int*"}
!19 = !{!"kernel_arg_name", !"reserve_id_t_size"}
!20 = !{!"ModuleMD", !21, !22, !77, !138, !168, !184, !196, !206, !208, !209, !220, !221, !222, !223, !226, !227, !228, !229, !230, !231, !232, !233, !234, !235, !236, !237, !239, !243, !244, !245, !246, !247, !248, !121, !249, !250, !252, !255, !256}
!21 = !{!"isPrecise", i1 false}
!22 = !{!"compOpt", !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63, !64, !65, !66, !67, !68, !69, !70, !71, !72, !73, !74, !75, !76}
!23 = !{!"DenormsAreZero", i1 false}
!24 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!25 = !{!"OptDisable", i1 false}
!26 = !{!"MadEnable", i1 false}
!27 = !{!"NoSignedZeros", i1 false}
!28 = !{!"NoNaNs", i1 false}
!29 = !{!"FloatRoundingMode", i32 0}
!30 = !{!"FloatCvtIntRoundingMode", i32 3}
!31 = !{!"VISAPreSchedRPThreshold", i32 0}
!32 = !{!"SetLoopUnrollThreshold", i32 0}
!33 = !{!"UnsafeMathOptimizations", i1 false}
!34 = !{!"FiniteMathOnly", i1 false}
!35 = !{!"FastRelaxedMath", i1 false}
!36 = !{!"DashGSpecified", i1 false}
!37 = !{!"FastCompilation", i1 false}
!38 = !{!"UseScratchSpacePrivateMemory", i1 true}
!39 = !{!"RelaxedBuiltins", i1 false}
!40 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!41 = !{!"GreaterThan2GBBufferRequired", i1 true}
!42 = !{!"GreaterThan4GBBufferRequired", i1 true}
!43 = !{!"DisableA64WA", i1 false}
!44 = !{!"ForceEnableA64WA", i1 false}
!45 = !{!"PushConstantsEnable", i1 true}
!46 = !{!"HasPositivePointerOffset", i1 false}
!47 = !{!"HasBufferOffsetArg", i1 false}
!48 = !{!"BufferOffsetArgOptional", i1 true}
!49 = !{!"HasSubDWAlignedPtrArg", i1 false}
!50 = !{!"replaceGlobalOffsetsByZero", i1 false}
!51 = !{!"forcePixelShaderSIMDMode", i32 0}
!52 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!53 = !{!"UniformWGS", i1 false}
!54 = !{!"disableVertexComponentPacking", i1 false}
!55 = !{!"disablePartialVertexComponentPacking", i1 false}
!56 = !{!"PreferBindlessImages", i1 false}
!57 = !{!"UseBindlessMode", i1 false}
!58 = !{!"UseLegacyBindlessMode", i1 true}
!59 = !{!"disableMathRefactoring", i1 false}
!60 = !{!"atomicBranch", i1 false}
!61 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!62 = !{!"EnableFastestLinearScan", i1 false}
!63 = !{!"UseStatelessforPrivateMemory", i1 false}
!64 = !{!"EnableTakeGlobalAddress", i1 false}
!65 = !{!"IsLibraryCompilation", i1 false}
!66 = !{!"FastVISACompile", i1 false}
!67 = !{!"MatchSinCosPi", i1 false}
!68 = !{!"CaptureCompilerStats", i1 false}
!69 = !{!"EnableZEBinary", i1 false}
!70 = !{!"ExcludeIRFromZEBinary", i1 false}
!71 = !{!"allowDisableRematforCS", i1 false}
!72 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!73 = !{!"DisableCPSOmaskWA", i1 false}
!74 = !{!"DisableFastestGopt", i1 false}
!75 = !{!"WaForceHalfPromotion", i1 false}
!76 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!77 = !{!"FuncMD", !78, !79, !134, !135, !136, !137}
!78 = !{!"FuncMDMap[0]", void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i8 addrspace(1)*, i32 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_max_active_reservations_write}
!79 = !{!"FuncMDValue[0]", !80, !81, !85, !86, !87, !107, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123, !124, !125, !126, !127, !128, !129, !130, !131, !132, !133}
!80 = !{!"localOffsets"}
!81 = !{!"workGroupWalkOrder", !82, !83, !84}
!82 = !{!"dim0", i32 0}
!83 = !{!"dim1", i32 0}
!84 = !{!"dim2", i32 0}
!85 = !{!"funcArgs"}
!86 = !{!"functionType", !"KernelFunction"}
!87 = !{!"rtInfo", !88, !89, !90, !91, !92, !93, !94, !95, !96, !97, !98, !99, !100, !101, !102, !106}
!88 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!89 = !{!"isContinuation", i1 false}
!90 = !{!"hasTraceRayPayload", i1 false}
!91 = !{!"hasHitAttributes", i1 false}
!92 = !{!"hasCallableData", i1 false}
!93 = !{!"ShaderStackSize", i32 0}
!94 = !{!"ShaderHash", i64 0}
!95 = !{!"ShaderName", !""}
!96 = !{!"ParentName", !""}
!97 = !{!"SlotNum", i1* null}
!98 = !{!"NOSSize", i32 0}
!99 = !{!"Entries"}
!100 = !{!"SpillUnions"}
!101 = !{!"CustomHitAttrSizeInBytes", i32 0}
!102 = !{!"Types", !103, !104, !105}
!103 = !{!"FrameStartTys"}
!104 = !{!"ArgumentTys"}
!105 = !{!"FullFrameTys"}
!106 = !{!"Aliases"}
!107 = !{!"resAllocMD", !108, !109, !110, !111, !112}
!108 = !{!"uavsNumType", i32 0}
!109 = !{!"srvsNumType", i32 0}
!110 = !{!"samplersNumType", i32 0}
!111 = !{!"argAllocMDList"}
!112 = !{!"inlineSamplersMD"}
!113 = !{!"maxByteOffsets"}
!114 = !{!"IsInitializer", i1 false}
!115 = !{!"IsFinalizer", i1 false}
!116 = !{!"CompiledSubGroupsNumber", i32 0}
!117 = !{!"hasInlineVmeSamplers", i1 false}
!118 = !{!"localSize", i32 0}
!119 = !{!"localIDPresent", i1 false}
!120 = !{!"groupIDPresent", i1 false}
!121 = !{!"privateMemoryPerWI", i32 0}
!122 = !{!"globalIDPresent", i1 false}
!123 = !{!"hasSyncRTCalls", i1 false}
!124 = !{!"hasNonKernelArgLoad", i1 false}
!125 = !{!"hasNonKernelArgStore", i1 false}
!126 = !{!"hasNonKernelArgAtomic", i1 false}
!127 = !{!"UserAnnotations"}
!128 = !{!"m_OpenCLArgAddressSpaces"}
!129 = !{!"m_OpenCLArgAccessQualifiers"}
!130 = !{!"m_OpenCLArgTypes"}
!131 = !{!"m_OpenCLArgBaseTypes"}
!132 = !{!"m_OpenCLArgTypeQualifiers"}
!133 = !{!"m_OpenCLArgNames"}
!134 = !{!"FuncMDMap[1]", void (%spirv.Pipe._0 addrspace(1)*, i32 addrspace(1)*, i8 addrspace(1)*, i32 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_max_active_reservations_read}
!135 = !{!"FuncMDValue[1]", !80, !81, !85, !86, !87, !107, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123, !124, !125, !126, !127, !128, !129, !130, !131, !132, !133}
!136 = !{!"FuncMDMap[2]", void (i32 addrspace(1)*)* @pipe_get_reserve_id_t_size}
!137 = !{!"FuncMDValue[2]", !80, !81, !85, !86, !87, !107, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123, !124, !125, !126, !127, !128, !129, !130, !131, !132, !133}
!138 = !{!"pushInfo", !139, !140, !141, !144, !145, !146, !147, !148, !149, !150, !151, !164, !165, !166, !167}
!139 = !{!"pushableAddresses"}
!140 = !{!"bindlessPushInfo"}
!141 = !{!"dynamicBufferInfo", !142, !143}
!142 = !{!"firstIndex", i32 0}
!143 = !{!"numOffsets", i32 0}
!144 = !{!"MaxNumberOfPushedBuffers", i32 0}
!145 = !{!"inlineConstantBufferSlot", i32 -1}
!146 = !{!"inlineConstantBufferOffset", i32 -1}
!147 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!148 = !{!"constants"}
!149 = !{!"inputs"}
!150 = !{!"constantReg"}
!151 = !{!"simplePushInfoArr", !152, !161, !162, !163}
!152 = !{!"simplePushInfoArrVec[0]", !153, !154, !155, !156, !157, !158, !159, !160}
!153 = !{!"cbIdx", i32 0}
!154 = !{!"pushableAddressGrfOffset", i32 -1}
!155 = !{!"pushableOffsetGrfOffset", i32 -1}
!156 = !{!"offset", i32 0}
!157 = !{!"size", i32 0}
!158 = !{!"isStateless", i1 false}
!159 = !{!"isBindless", i1 false}
!160 = !{!"simplePushLoads"}
!161 = !{!"simplePushInfoArrVec[1]", !153, !154, !155, !156, !157, !158, !159, !160}
!162 = !{!"simplePushInfoArrVec[2]", !153, !154, !155, !156, !157, !158, !159, !160}
!163 = !{!"simplePushInfoArrVec[3]", !153, !154, !155, !156, !157, !158, !159, !160}
!164 = !{!"simplePushBufferUsed", i32 0}
!165 = !{!"pushAnalysisWIInfos"}
!166 = !{!"inlineRTGlobalPtrOffset", i32 0}
!167 = !{!"rtSyncSurfPtrOffset", i32 0}
!168 = !{!"psInfo", !169, !170, !171, !172, !173, !174, !175, !176, !177, !178, !179, !180, !181, !182, !183}
!169 = !{!"BlendStateDisabledMask", i8 0}
!170 = !{!"SkipSrc0Alpha", i1 false}
!171 = !{!"DualSourceBlendingDisabled", i1 false}
!172 = !{!"ForceEnableSimd32", i1 false}
!173 = !{!"outputDepth", i1 false}
!174 = !{!"outputStencil", i1 false}
!175 = !{!"outputMask", i1 false}
!176 = !{!"blendToFillEnabled", i1 false}
!177 = !{!"forceEarlyZ", i1 false}
!178 = !{!"hasVersionedLoop", i1 false}
!179 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!180 = !{!"NumSamples", i8 0}
!181 = !{!"blendOptimizationMode"}
!182 = !{!"colorOutputMask"}
!183 = !{!"WaDisableVRS", i1 false}
!184 = !{!"csInfo", !185, !186, !187, !188, !189, !31, !32, !190, !191, !192, !193, !194, !60, !195}
!185 = !{!"maxWorkGroupSize", i32 0}
!186 = !{!"waveSize", i32 0}
!187 = !{!"ComputeShaderSecondCompile"}
!188 = !{!"forcedSIMDSize", i8 0}
!189 = !{!"forceTotalGRFNum", i32 0}
!190 = !{!"forcedVISAPreRAScheduler", i1 false}
!191 = !{!"disableLocalIdOrderOptimizations", i1 false}
!192 = !{!"disableDispatchAlongY", i1 false}
!193 = !{!"neededThreadIdLayout", i1* null}
!194 = !{!"forceTileYWalk", i1 false}
!195 = !{!"ResForHfPacking"}
!196 = !{!"msInfo", !197, !198, !199, !200, !201, !202, !203, !204, !205}
!197 = !{!"PrimitiveTopology", i32 3}
!198 = !{!"MaxNumOfPrimitives", i32 0}
!199 = !{!"MaxNumOfVertices", i32 0}
!200 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!201 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!202 = !{!"WorkGroupSize", i32 0}
!203 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!204 = !{!"IndexFormat", i32 6}
!205 = !{!"SubgroupSize", i32 0}
!206 = !{!"taskInfo", !207, !202, !203, !205}
!207 = !{!"MaxNumOfOutputs", i32 0}
!208 = !{!"NBarrierCnt", i32 0}
!209 = !{!"rtInfo", !210, !211, !212, !213, !214, !215, !216, !217, !218, !219}
!210 = !{!"RayQueryAllocSizeInBytes", i32 0}
!211 = !{!"NumContinuations", i32 -1}
!212 = !{!"RTAsyncStackAddrspace", i32 -1}
!213 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!214 = !{!"SWHotZoneAddrspace", i32 -1}
!215 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!216 = !{!"SWStackAddrspace", i32 -1}
!217 = !{!"SWStackSurfaceStateOffset", i1* null}
!218 = !{!"RTSyncStackAddrspace", i32 -1}
!219 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!220 = !{!"CurUniqueIndirectIdx", i32 0}
!221 = !{!"inlineDynTextures"}
!222 = !{!"inlineResInfoData"}
!223 = !{!"immConstant", !224, !225}
!224 = !{!"data"}
!225 = !{!"sizes"}
!226 = !{!"inlineConstantBuffers"}
!227 = !{!"inlineGlobalBuffers"}
!228 = !{!"GlobalPointerProgramBinaryInfos"}
!229 = !{!"ConstantPointerProgramBinaryInfos"}
!230 = !{!"GlobalBufferAddressRelocInfo"}
!231 = !{!"ConstantBufferAddressRelocInfo"}
!232 = !{!"forceLscCacheList"}
!233 = !{!"SrvMap"}
!234 = !{!"RasterizerOrderedByteAddressBuffer"}
!235 = !{!"MinNOSPushConstantSize", i32 0}
!236 = !{!"inlineProgramScopeOffsets"}
!237 = !{!"shaderData", !238}
!238 = !{!"numReplicas", i32 0}
!239 = !{!"URBInfo", !240, !241, !242}
!240 = !{!"has64BVertexHeaderInput", i1 false}
!241 = !{!"has64BVertexHeaderOutput", i1 false}
!242 = !{!"hasVertexHeader", i1 true}
!243 = !{!"UseBindlessImage", i1 false}
!244 = !{!"enableRangeReduce", i1 false}
!245 = !{!"allowMatchMadOptimizationforVS", i1 false}
!246 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!247 = !{!"statefulResourcesNotAliased", i1 false}
!248 = !{!"disableMixMode", i1 false}
!249 = !{!"PrivateMemoryPerFG"}
!250 = !{!"capabilities", !251}
!251 = !{!"globalVariableDecorationsINTEL", i1 false}
!252 = !{!"m_ShaderResourceViewMcsMask", !253, !254}
!253 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!254 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!255 = !{!"computedDepthMode", i32 0}
!256 = !{!"isHDCFastClearShader", i1 false}
!257 = !{i32 3, i32 0}
!258 = !{}
!259 = !{!"-cl-std=CL3.0"}
